/*****************************************************************************************************************************/
#modal-commandes-hidden{
display: none;}
/*---------------------------------------------------------------------------------------------------------------------------*/
#modal-commandes-show{
position: fixed;
top: 0;
left: 0;
display: flex;
align-items: center;
justify-content: center;
width: 100%;
height: 100%;
background: rgba(15, 15, 15, 0.95);
z-index: 9998;}
/*---------------------------------------------------------------------------------------------------------------------------*/
.modal-wrapper{
position: relative;
margin-left: auto;
margin-right: auto;
width: 740px; 
height: 820px;
background-color: #323232;
border-radius: 14px;
z-index: 9999;
box-shadow:rgba(0, 0, 0, 0.26) 0px 3px 6px, rgba(0, 0, 0, 0.33) 0px 2px 2px;}
/*---------------------------------------------------------------------------------------------------------------------------*/
#modal-content{
width: 100%;
height: 80%;
overflow: hidden;
position: relative;
margin-top: 18px;}
/*****************************************************************************************************************************/
.entete2{
width: 100%;
border-radius: 16px 16px 0 0; 
height: 45px;
background: linear-gradient(#323232, rgba(27, 27, 27, 0.678));}
/*---------------------------------------------------------------------------------------------------------------------------*/
.texte{
margin-left: 18px; 
margin-right: 18px; 
word-spacing: 4px; 
line-height: 22px; 
color: #686868; 
font-size: 16px;
margin-top: 14px;
margin-bottom: 12px;}
/*---------------------------------------------------------------------------------------------------------------------------*/
.title0{
margin-top: 18px;
margin-left: 20px;
font-size: 20px;}
/*---------------------------------------------------------------------------------------------------------------------------*/
.cross-add,
.cross-mod,
.cross-sup{
float: right;
position: absolute;
padding: 12px 12px 14px 14px;
top: 0;
right: 0;
font-size: 23px;
font-family: Arial, Helvetica, sans-serif;
cursor: pointer;
opacity: 1.0;
color: white;}
/*---------------------------------------------------------------------------------------------------------------------------*/
.cross-add:hover{
color: #4cb1ff;
font-weight: bolder;
transform: scale(1.2);}
/*---------------------------------------------------------------------------------------------------------------------------*/
.cross-mod:hover,
.erase-mod:hover{
color: #2faf5a;
font-weight: bolder;
transform: scale(1.2);
opacity: 1.0;}
/*---------------------------------------------------------------------------------------------------------------------------*/
.cross-sup:hover,
.erase-sup:hover{
color: #e92f2fda;
font-weight: bolder;
transform: scale(1.2);
opacity: 1.0;}
/*---------------------------------------------------------------------------------------------------------------------------*/
hr{
border: none;
width: 100%;
margin-top: 0;
border-bottom: 1px solid #3a3a3a;
box-shadow: 0 4px 4px -4px #111111;}
/*---------------------------------------------------------------------------------------------------------------------------*/
#form_com{
padding-right: 2px; 
margin: 0;
height: 900px;}

/* PAGE ADD ******************************************************************************************************************/
.titlea{
float: left;
width: 96%;
background-color: #292929; 
margin-left: 2%;
margin-right: 2%;
border-radius: 10px 10px 0px 0px;
height: 30px;
line-height: 30px;}

.title1{float: left;}
/*---------------------------------------------------------------------------------------------------------------------------*/
.link{
float: left;
margin-left: 6px;
text-decoration: none; 
color: white;}
/*---------------------------------------------------------------------------------------------------------------------------*/
.link:hover{
text-decoration: underline;
text-underline-offset: 4px; }
/*---------------------------------------------------------------------------------------------------------------------------*/
#em{
font-size: 14px;
margin-left: 2px;
cursor: pointer;
word-spacing: 6px;
float: left;}
/*---------------------------------------------------------------------------------------------------------------------------*/
#market-text{
margin-left: 10px;}
/*---------------------------------------------------------------------------------------------------------------------------*/
#base-text:hover,
#market-text:hover,
#interne-text:hover,
#externe-text:hover,
.on{
color: #4cb1ff;}
/*---------------------------------------------------------------------------------------------------------------------------*/
#add-cleaner{
float: right;
margin-right: 6px;
margin-top: 6px;
cursor: pointer;
opacity: 0.2;}
/*---------------------------------------------------------------------------------------------------------------------------*/
#add-cleaner:hover{
opacity: 1.0;}
/*---------------------------------------------------------------------------------------------------------------------------*/
.textareaa{
height: 97%;
width: 96%;
margin-left: 2%;
margin-right: 2%;
background-color: #292929; 
border-radius: 10px;
border: none;
resize: none;
outline: none;
font-size: 16px;
padding: 8px;
color: #858585;
border-radius: 0px 0px 10px 10px;
/*scrollbar-color: #141414 #272727;*/}
/* PAGE MODIFY ***************************************************************************************************************/
.title1{
width: 5%;
margin-left: 23px;
margin-right: 42px;}
/*---------------------------------------------------------------------------------------------------------------------------*/
.content-a{
width: 100%;
height: 560px;
overflow: auto;/*
scrollbar-color: #2b2b2b #323232;*/}

.content-b{
width: 100%;
height: 570px;
overflow: auto;/*
scrollbar-color: #2b2b2b #323232;*/}
/*---------------------------------------------------------------------------------------------------------------------------*/
.block{
width: 100%;
height: 93px;
position: relative;
margin-bottom: 4px;}
/*---------------------------------------------------------------------------------------------------------------------------*/
.mini_pic{
margin-top: 1px;
margin-left: 18px;
margin-right: 2%;
width: 74px;
background-color: #292929; 
border-radius: 10px;
opacity: 1.0;}
/*---------------------------------------------------------------------------------------------------------------------------*/
.textarea{
width: 83%;
height: 74px;
background-color: #292929d8; 
border-radius: 10px; 
border: none;
resize: none;
outline: none;
font-size: 16px;
padding: 13px;
margin-top: 1px;
color: #858585;
position: absolute;/*
scrollbar-color: #141414 #2b2b2b;*/}
/*---------------------------------------------------------------------------------------------------------------------------*/
.ajouter,
.valider,
.supprimer{
width: 96%;
margin-right: 2%;
margin-left: 2%;
background-color: #292929; 
border: hidden;
color: rgb(255, 255, 255);
height: 40px;
border-radius: 8px;/*
border-bottom: solid 1px rgba(0,0,0,0.3); */
box-shadow: 0px 1px 0px 1px #242424; 
cursor: pointer;
margin-top: 4px;
text-align: center;
line-height: 42px;}
/*---------------------------------------------------------------------------------------------------------------------------*/
.erase-mod,
.erase-sup{
position: absolute;
z-index: 1;
float: right;
right: 6;
bottom: 47px;
background-color: #323232;
padding: 5px;
padding-left: 8px;
padding-right: 12px;
cursor: pointer;
font-size: 16px;
border-radius: 15px;}
/*---------------------------------------------------------------------------------------------------------------------------*/
.valider:hover{
background-color: #2faf5a91;}
/*---------------------------------------------------------------------------------------------------------------------------*/
.ajouter:hover{
background-color: #4cb1ff85;}
/*---------------------------------------------------------------------------------------------------------------------------*/
.supprimer:hover{
background-color: #e92f2fda;}
/*---------------------------------------------------------------------------------------------------------------------------*/
#send{
width: 100%;
height: 60px;
text-align: center;
padding-top: 5px;/*
bottom: 0;
position: absolute;*/}

/* Scrollbar *****************************************************************************************************************/
*::-webkit-scrollbar {
width: 7px;
height: 7px;}
/*---------------------------------------------------------------------------------------------------------------------------*/
*::-webkit-scrollbar-thumb {
background: #353535;
border-radius: 10px;
border: 0px solid transparent;
background-clip: padding-box;
cursor: default;}
/*---------------------------------------------------------------------------------------------------------------------------*/
*::-webkit-scrollbar-thumb:hover{
border: 0;}
/*---------------------------------------------------------------------------------------------------------------------------*/
*::-webkit-scrollbar-track{
background: transparent;}

/*///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
@media screen and (max-width: 414px) and (max-height: 896px) /* iphone 11 FRONT */
{
    .modal-wrapper{
    width: 400px; 
    height: 680px;
    background-color: #323232;}

    .entete2{
    background: linear-gradient(#323232, rgb(39, 39, 39));
    height: 45px;}

    .content-a{
    height: 420px;}

    .content-b{
    height: 430px;}

    .block{
    height: 80px;}

    .texte{
    margin-top: 14px;
    margin-bottom: 16px;
    color: rgb(153, 153, 153);}

    .title0{
    font-size: 18px;
    margin-left: 14px;
    margin-top: 18px;}
    
    .titlea{
    width: 94%;
    border-radius: 10px 10px 0px 0px;
    padding-left: 0px;
    padding-right: 0;
    margin-left: 13px;
    background-color: #2b2b2b;}

    .title1{
    margin-left: 16px;
    margin-right: 36px;}

    .textareaa{
    width: 94%;
    height: 100%;
    margin-left: 13px;
    border-radius: 0px 0px 18px 18px;
    background-color: #2b2b2b;
    color: white;
    opacity: 1.0;}

    .ajouter,
    .valider,
    .supprimer{
    width: 92%;
    margin-right: 4%;
    margin-left: 4%;
    margin-top: 8px;
    background-color: #2b2b2b;}

    #validmod, 
    #validdel{
    margin-left: 0px;}

    #send{
    width: 100%;
    bottom: 24px;}

    .mini_pic{
    margin-left: 12px;
    background-color: #2b2b2b;}
    
    .textarea{
    width: 73%;
    background-color: #2b2b2b;
    color: white;
    opacity: 1.0;}

    .erase-mod,
    .erase-sup{
    top: 7;
    right: 2;
    background-color: #323232;
    color: rgb(255, 255, 255);
    opacity: 1.0;
    padding-left: 5px;
    padding-right: 8px;
    padding-bottom: 5px;}
}
/*---------------------------------------------------------------------------------------------------------------------------*/
@media screen and (max-width: 896px) and (max-height: 414px) /* iphone 11 SIDE */
{
    .modal-wrapper{
    width: 670px; 
    height: 310px;
    background-color: #323232;
    margin-bottom: 15px;}

    .entete2{
    background: linear-gradient(#323232, rgb(39, 39, 39));
    height: 38px;}

    .title0{
    font-size: 16px;
    margin-top: 16px;
    margin-left: 16px;}

    .title1{
    margin-left: 18px;}

    .titlea{
    background-color: #2b2b2b;}

    #titr{
    padding-left: 6px;}

    .link,
    #market-text,
    #externe-text,
    #base-text{
    font-size: 14px;}

    .texte{
    margin-top: 6px;
    margin-bottom: 12px;
    color: rgb(153, 153, 153);}

    .content-a{
    height: 110px;
    margin-top: 0;}

    .content-b{
    height: 116px;
    margin-top: 0;}

    .block{
    height: 98px;}

    .textareaa{
    height: 100px;
    background-color: #2b2b2b;
    color: white;
    opacity: 1.0;}

    #validmod, 
    #validdel{
    margin-left: 5px;}

    .ajouter,
    .valider,
    .supprimer{
    height: 28px;
    line-height: 28px;
    background-color: #2b2b2b;
    margin-top: 0px;}

    #send{
    width: 100%;
    text-align: center;
    bottom: 22;}

    .mini_pic{
    margin-left: 12px;
    background-color: #2b2b2b;}

    .erase-mod,
    .erase-sup{
    background-color: #323232;
    right: 1;
    padding: 6px;}  
    
    .textarea{
    width: 556px;
    background-color: #2b2b2b;
    padding: 10px;
    color: white;
    opacity: 1.0;}

}
/*///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
@media screen and (max-width: 375px) and (max-height: 667px) /* iphone 6-7-8 FRONT */
{
    .modal-wrapper{
    width: 380px; 
    height: 480px; 
    margin-bottom: 10px;}

    .textareaa{
    height: 190px;
    color: white;
    opacity: 1.0;}

    #send{
    height: 40px;
    bottom: 10;}

    .ajouter,
    .valider,
    .supprimer{
    height: 30px;
    line-height: 34px;}

    #form_com,
    #modal-content{
    height: 280px;}

    .content{
    height: 200px;}
}
/*---------------------------------------------------------------------------------------------------------------------------*/
@media screen and (max-width: 667px) and (max-height: 375px) /* iphone 6-7-8 SIDE */
{
    .modal-wrapper{
    margin-top: 10px;
    width: 610px; 
    height: 300px;
    background-color: #323232;}

    .entete2{
    background: linear-gradient(#323232, rgb(39, 39, 39));
    height: 40px;}

    .title0{
    font-size: 16px;
    margin-top: 10px;
    padding-top: 3px;}

    .title1{
    margin-left: 18px;}

    .titlea{
    background-color: #2b2b2b;}

    .link,
    #market-text,
    #externe-text,
    #base-text{
    font-size: 14px;}

    .texte{
    margin-top: 4px;
    margin-bottom: 8px;
    color: rgb(153, 153, 153);}

    #form_com,
    #modal-content{
    height: 210px;}

    .content{
    height: 104px;
    margin-top: 0;}

    .textareaa{
    height: 90px;
    background-color: #2b2b2b;
    color: white;
    opacity: 1.0;}

    .ajouter,
    .valider,
    .supprimer{
    height: 30px;
    line-height: 30px;
    background-color: #2b2b2b;
    margin-top: 0px;}

    #send{
    margin-top: 0;}

    .mini_pic{
    margin-left: 12px;
    background-color: #2b2b2b;}

    .erase-mod,
    .erase-sup{
    background-color: #323232;
    right: 1;
    padding: 6px;
    padding-right: 0px;}  
    
    .textarea{
    width: 490px;
    background-color: #2b2b2b;
    margin-left: 4px;
    padding: 10px;
    color: white;
    opacity: 1.0;}
}
/*///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*
@media screen and (max-width: 375px) and (max-height: 812px) // iphone 10 FRONT
{
}
@media screen and (max-width: 812px) and (max-height: 375px) // iphone 10 SIDE
{
}
*/
/*///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/